%define	oname	Solaar

Name:		solaar
Version:	0.9.2
Release:	%mkrel 6
License:	GPLv2
Summary:	Device manager for Logitech's Unifying Receiver
Url:		http://pwr.github.com/Solaar/
Group:		System/Kernel and hardware
# wget https://github.com/pwr/%{oname}/archive/%{version}.tar.gz -O %{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	pyudev
Requires:	python-gi

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_udevrulesdir}
cp rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}

%files
%doc share/README docs
%dir %{_datadir}/%{name}/
%dir %{python_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.svg
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/*/*
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Sat Nov 02 2013 fwang <fwang> 0.9.2-6.mga4
+ Revision: 548985
- we are now using pygir

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 544458
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-4.mga4
+ Revision: 499885
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 08 2013 wally <wally> 0.9.2-3.mga4
+ Revision: 464534
- restore noarch and remove unneeded requires tag as missing requires were fixed in libappindicator

* Thu Aug 08 2013 dams <dams> 0.9.2-2.mga4
+ Revision: 464512
- Remove 'noarch' to fix 'requires' installation

* Wed Aug 07 2013 dams <dams> 0.9.2-1.mga4
+ Revision: 464288
- update to 0.9.2

* Wed Jul 10 2013 dams <dams> 0.9.0-2.mga4
+ Revision: 452304
- add libappindicator3_1 as a require

* Wed Jul 10 2013 dams <dams> 0.9.0-1.mga4
+ Revision: 452296
- new version 0.9.0

* Tue Jun 25 2013 dams <dams> 0.8.99.7-1.mga4
+ Revision: 446571
- new version 0.8.99.7

* Tue Jun 18 2013 dams <dams> 0.8.9.4-1.mga4
+ Revision: 444640
- new version 0.8.9.4
- update specfile

* Mon Jun 10 2013 dams <dams> 0.8.9.2-3.mga4
+ Revision: 441376
- use TAG+="uaccess" instead of non existing/used user group
- rename udev.rules to be done before 73

* Sat Jun 08 2013 dams <dams> 0.8.9.2-2.mga4
+ Revision: 440675
- Adds missing icons (mga#9987)

* Fri Jun 07 2013 dams <dams> 0.8.9.2-1.mga4
+ Revision: 440222
- new version 0.8.9.2
- fix license

* Tue Jun 04 2013 dams <dams> 0.8.9-1.mga4
+ Revision: 436891
- fix specfile for udev rules
- imported package solaar

